/*
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
 * 
 * Copyright 2008 jOpenDocument, by ILM Informatique. All rights reserved.
 * 
 * The contents of this file are subject to the terms of the GNU
 * General Public License Version 3 only ("GPL").  
 * You may not use this file except in compliance with the License. 
 * You can obtain a copy of the License at http://www.gnu.org/licenses/gpl-3.0.html
 * See the License for the specific language governing permissions and limitations under the License.
 * 
 * When distributing the software, include this License Header Notice in each file.
 * 
 */

package org.jopendocument.dom.text;

import org.jopendocument.dom.StyleProperties;
import org.jopendocument.dom.StyleStyle;

import org.jdom.Element;

public class ParagraphStyle extends TextStyle {

    static public final String STYLE_FAMILY = "paragraph";

    private SyleParagraphProperties pProps;

    public ParagraphStyle(Element tableColElem) {
        super(tableColElem);
        this.pProps = null;
    }

    public final SyleParagraphProperties getParagraphProperties() {
        if (this.pProps == null)
            this.pProps = new SyleParagraphProperties(this);
        return this.pProps;
    }

    public final String getAlignment() {
        return getParagraphProperties().getAlignment();
    }

    // cf style-text-properties-content-strict in the relaxNG
    public static class SyleParagraphProperties extends StyleProperties {

        public SyleParagraphProperties(StyleStyle style) {
            super(style, STYLE_FAMILY);
        }

        public final String getAlignment() {
            return getElement().getAttributeValue("text-align", this.getElement().getNamespace("fo"));
        }
    }
}
